Bug 4188 - grub2 was updated [UPDATE REQUEST]
: grub2 was updated [UPDATE REQUEST]
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-02 15:01 MSD by Alexander Burmashev
Modified: 2014-11-20 17:09 MSK (History)
3 users (show)

See Also:
RPM Package: grub2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-
alex.burmashev: published-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2014-07-02 15:01:14 MSD
grub2 was updated
Comment 1 Alexander Burmashev 2014-07-02 15:02:49 MSD
Advisory:
grub2 was update to include a specific grubcd.efi loader for iso creation toolkit.

Additional information:
Basically there should be no effects for users, update should not change anything.

Buidlists:
https://abf.rosalinux.ru/build_lists/1976875
https://abf.rosalinux.ru/build_lists/1976874
Comment 2 Vladimir Potapov 2014-07-11 11:02:53 MSD
Что-то с грубом не совсем то. У меня несколько рос на диске, у каждой свои разделы. И всегда было так - обновляешь в какой-то системе grub, после перезагрузки эта система оказывается "главной", по-умолчанию идет ее загрузка (ее граб, она первая в меню)
Так вот. Для не-EFI моей системы с этим грубом так и было.
А вот для EFI ничего не изменилось - я для "второй" системы обновил grub, а сработал граб от первой. 
Это правильно?
Comment 3 Alexander Burmashev 2014-07-11 11:04:06 MSD
С этим апдейтом такое поведение не связано, апдейт просто добавляет дополнительный бинарник граба, который никем, кроме как сборочницей исошек не используется.
Comment 4 Vladimir Potapov 2014-07-11 11:06:13 MSD
(In reply to comment #3)
> С этим апдейтом такое поведение не связано, апдейт просто добавляет
> дополнительный бинарник граба, который никем, кроме как сборочницей исошек
> не используется.

Возможно, в предыдущем апдейте не заметил такое изменение поведения (у меня под EFI тогда одна система была)
Comment 5 Konstantin Vlasov 2014-07-11 15:53:01 MSD
Попробовал у себя на тестовом EFI-ноуте - не подтверждаю. После установки пакетов из этого контейнера были обновлены и сам загрузчик, и меню, так что основной системой стала именно та, в которой я проводил тест (до теста она была второй).

Может, пакет grub2-efi не был обновлён? Для EFI-системы требуется именно он.
Comment 6 Vladimir Potapov 2014-07-11 16:04:30 MSD
А какая команда должна это делать?
я попробовал вручную запустить grub2-efi-install /dev/sda1 
прошло без ошибок, но система первой все равно не стала.
Comment 7 Konstantin Vlasov 2014-07-11 16:22:26 MSD
По идее, при обновлении граба он сам должен обновить загрузчик. У меня, во всяком случае, именно это и произошло после подключения контейнера и выполнения команды urpmi grub2 grub2-efi.

Ручная установка - это две команды:
grub2-efi-install /dev/sdXn
grub2-efi-mkconfig -o /boot/grub2/grub.cfg
где /dev/sdXn - EFI-раздел, подмонтированный в /boot/efi.
Comment 8 Vladimir Potapov 2014-07-14 12:05:07 MSD
Да, после выполнения этих команд загрузчик становится "первым" (если еще дополнттельно подмонтировать EFI)
Comment 9 Vladimir Potapov 2014-07-14 15:03:22 MSD
(In reply to comment #8)
> Да, после выполнения этих команд загрузчик становится "первым" (если еще
> дополнттельно подмонтировать EFI)
На двух системах "вторая" система после обновления прекращала грузиться, выход - выбирать из меню advanced. Но воспроизвести специально в виртуалке не получается, видимо происходит оттого, что у меня куча рос, в том числе и марафонов, со старыми ядрами. Т.к. мой случай не показателен, думаю, можно одобрять.
Comment 10 Vladimir Potapov 2014-07-14 15:04:54 MSD
grub2-2.00-51
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1976874/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1976875/x86_64/main/release/
*************************** Advisory *******************
grub2 was update to include a specific grubcd.efi loader for iso creation toolkit
********************************************************
QA Verified
Comment 11 Vladimir Potapov 2014-07-15 12:51:50 MSD
И все-таки нашли ошибку. Изменение формата строки ломало захардкоденый парсинг.
Хорошо что не ушло в репозитории.
************************************
QA Denied
Comment 12 Denis Silakov 2014-11-20 17:09:09 MSK
Я так понимаю, в репозиториях у нас уже более свежая версия граба, и grubcd.efi там есть.